# Clear screen
cat /dev/zero > /dev/fb0

# Make deploy folder structure
mkdir -p /usr/local/app/IWDGui
mkdir /usr/local/app/KenQtServer

# Deploy platform specific files
if uname -a | grep -q "dlogic" ; then
	echo "Dlogic 7 inch"
	/media/sdcard/kupgrade/platform/dlogic/fbutil cs
	/media/sdcard/kupgrade/platform/dlogic/fbutil ws 1 1 Upgrading...
	cp /media/sdcard/kupgrade/font/DejaVuSans.ttf /usr/local/lib/qt-4.8.6/lib/fonts
	cp -r /media/sdcard/kupgrade/KenQtServer/* /usr/local/app/KenQtServer
	cp /media/sdcard/kupgrade/platform/dlogic/* /usr/local/app/IWDGui
else
	cp /media/sdcard/kupgrade/font/DejaVuSans.ttf /usr/lib/fonts
	if uname -a | grep -q "icorem6" ; then
		echo "Engicam 10 inch"
		/media/sdcard/kupgrade/platform/engicam10/fbutil cs
		/media/sdcard/kupgrade/platform/engicam10/fbutil ws 1 1 Upgrading...
		cp /media/sdcard/kupgrade/platform/engicam10/* /usr/local/app/IWDGui
	else
		echo "Engicam 7 inch"
		/media/sdcard/kupgrade/platform/engicam7/fbutil cs
		/media/sdcard/kupgrade/platform/engicam7/fbutil ws 1 1 Upgrading...
		cp /media/sdcard/kupgrade/platform/engicam7/* /usr/local/app/IWDGui
	fi
fi

# Deploy other files and sync disc
cp -r /media/sdcard/kupgrade/IWDGui/* /usr/local/app/IWDGui 
sync

sleep 1
# Inform user of succes
if uname -a | grep -q "dlogic" ; then
	/media/sdcard/kupgrade/platform/dlogic/fbutil cs
	/media/sdcard/kupgrade/platform/dlogic/fbutil ws 1 2 Done..
else
	if uname -a | grep -q "icorem6" ; then
		echo "Engicam 10 inch"
		/media/sdcard/kupgrade/platform/engicam10/fbutil cs
		/media/sdcard/kupgrade/platform/engicam10/fbutil ws 1 1 Done...
	else
		echo "Engicam 7 inch"
		/media/sdcard/kupgrade/platform/engicam7/fbutil cs
		/media/sdcard/kupgrade/platform/engicam7/fbutil ws 1 1 Done...
	fi
fi
sleep 1

