#!/bin/sh
echo 1 > /sys/bus/i2c/devices/0-004c/touchpoints

echo 25 > /sys/bus/i2c/devices/0-004a/movehysti
echo 2 > /sys/bus/i2c/devices/0-004a/movehystn
echo 100 > /sys/bus/i2c/devices/0-004a/touchthr
echo 1 > /sys/bus/i2c/devices/0-004a/touchpoints

echo w+T78[0]=0 > /sys/bus/i2c/devices/0-004a/configparameter
echo w+T100[3]=7 > /sys/bus/i2c/devices/0-004a/configparameter
echo w+T100[51]=100 > /sys/bus/i2c/devices/0-004a/configparameter
echo w+T113[0]=1 > /sys/bus/i2c/devices/0-004a/configparameter

echo w+T109[3]=1 > /sys/bus/i2c/devices/0-004a/configparameter
sleep 0.1
echo w+T109[3]=4 > /sys/bus/i2c/devices/0-004a/configparameter
sleep 0.1
echo 1 > /sys/bus/i2c/devices/0-004a/backup

export QTDIR=/usr/local/lib/qt4
export QT_PLUGIN_PATH=$QTDIR/plugins
export QT_QWS_FONTDIR=$QTDIR/lib/fonts
export QWS_SIZE='800*480'
export QWS_MOUSE_PROTO='LinuxInput:/dev/input/event0'

export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/lib:/usr/lib:/usr/local/lib:$QTDIR/lib:/usr/local/lib/tslib/lib"

ifconfig can0 down
ip link set can0 type can bitrate 500000 triple-sampling on restart-ms 500
ip link set can0 txqueuelen 100
ifconfig can0 up

chmod +x IWDGui_dlogic
nice ./IWDGui_dlogic -qws &

