echo "Engicam custom startup"

#####disable framebuffer blank timeout
echo 0 > /sys/class/graphics/fbcon/cursor_blink
echo -e '\033[9;0]' > /dev/tty1  

#export QWS_SIZE='800*480'
#export QWS_DISPLAY=LinuxFb:mmsize=500x300
#export QT_QPA_PLATFORM=linuxfb:mmsize=310x190
export QT_QPA_PLATFORM=linuxfb:mmsize=294x169

modprobe can
modprobe can-dev
modprobe can-raw

ifconfig can0 down
ip link set can0 type can bitrate 500000 triple-sampling on restart-ms 500
ip link set can0 txqueuelen 100
ifconfig can0 up

addr=""
addr0=$(cat /sys/class/gpio/GPIO_ADDR_SEL0/value)
addr1=$(cat /sys/class/gpio/GPIO_ADDR_SEL1/value)
if [ $addr0 -eq "0" ] ; then
  if [ $addr1 -eq "0" ] ; then
    addr="-addr4"
  else
    addr="-addr2"
  fi
else
  if [ $addr1 -eq "0" ] ; then
    addr="-addr3"
  else
    addr="-addr1"
  fi
fi  

sleep 10

chmod +x IWDGui_engicam

model=$(tr -d '\0' < /proc/bus/input/devices)
if [[ $model == *"Goodix Capacitive TouchScreen"* ]];
then
  ./IWDGui_engicam $addr &
else
  ./IWDGui_engicam $addr -plugin evdevtouch:/dev/input/event0 &
fi

